You are not logged in.

#1 2012-11-14 17:51:30

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 445

[solved] skype 4.1 not running on 64bit

I just updated and:

/usr/lib32/skype/skype: error while loading shared libraries: libQtWebKit.so.4: wrong ELF class: ELFCLASS64

Last edited by capoeira (2012-11-15 11:02:29)

Offline

#2 2012-11-14 17:58:22

10PinkPanther
Member
From: Croatia
Registered: 2012-11-10
Posts: 333

Re: [solved] skype 4.1 not running on 64bit

Hi!

Same here,updated it and now it will not start.Yesterday used it and everything was O.K.

Offline

#3 2012-11-14 18:00:28

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 445

Re: [solved] skype 4.1 not running on 64bit

10PinkPanther wrote:

Hi!

Same here,updated it and now it will not start.Yesterday used it and everything was O.K.


Brand new skype for Linux with MSN integrated

Offline

#4 2012-11-14 18:01:08

Koven
Member
Registered: 2006-06-13
Posts: 151

Re: [solved] skype 4.1 not running on 64bit

Same problem here.

I see previous version doesnt need that library.

#ldd /usr/lib32/skype/skype 
	linux-gate.so.1 (0xf7774000)
	libasound.so.2 => /usr/lib32/libasound.so.2 (0xf764b000)
	libXv.so.1 => /usr/lib32/libXv.so.1 (0xf7645000)
	libXss.so.1 => /usr/lib32/libXss.so.1 (0xf7641000)
	librt.so.1 => /usr/lib32/librt.so.1 (0xf7638000)
	libdl.so.2 => /usr/lib32/libdl.so.2 (0xf7632000)
	libX11.so.6 => /usr/lib32/libX11.so.6 (0xf74fb000)
	libXext.so.6 => /usr/lib32/libXext.so.6 (0xf74e9000)
	libQtDBus.so.4 => /usr/lib32/libQtDBus.so.4 (0xf746a000)
	libQtXml.so.4 => /usr/lib32/libQtXml.so.4 (0xf7429000)
	libQtGui.so.4 => /usr/lib32/libQtGui.so.4 (0xf696b000)
	libQtNetwork.so.4 => /usr/lib32/libQtNetwork.so.4 (0xf6830000)
	libQtCore.so.4 => /usr/lib32/libQtCore.so.4 (0xf6550000)
	libpthread.so.0 => /usr/lib32/libpthread.so.0 (0xf6535000)
	libstdc++.so.6 => /usr/lib32/libstdc++.so.6 (0xf644c000)
	libm.so.6 => /usr/lib32/libm.so.6 (0xf640d000)
	libgcc_s.so.1 => /usr/lib32/libgcc_s.so.1 (0xf63f1000)
	libc.so.6 => /usr/lib32/libc.so.6 (0xf6247000)
	/lib/ld-linux.so.2 (0xf7775000)
	libxcb.so.1 => /usr/lib32/libxcb.so.1 (0xf6225000)
	libdbus-1.so.3 => /usr/lib32/libdbus-1.so.3 (0xf61da000)
	libglib-2.0.so.0 => /usr/lib32/libglib-2.0.so.0 (0xf60df000)
	libpng15.so.15 => /usr/lib32/libpng15.so.15 (0xf60ae000)
	libz.so.1 => /usr/lib32/libz.so.1 (0xf6097000)
	libfreetype.so.6 => /usr/lib32/libfreetype.so.6 (0xf5ffb000)
	libgobject-2.0.so.0 => /usr/lib32/libgobject-2.0.so.0 (0xf5fac000)
	libSM.so.6 => /usr/lib32/libSM.so.6 (0xf5fa3000)
	libICE.so.6 => /usr/lib32/libICE.so.6 (0xf5f88000)
	libXrender.so.1 => /usr/lib32/libXrender.so.1 (0xf5f7e000)
	libfontconfig.so.1 => /usr/lib32/libfontconfig.so.1 (0xf5f46000)
	libssl.so.1.0.0 => /usr/lib32/libssl.so.1.0.0 (0xf5ee3000)
	libcrypto.so.1.0.0 => /usr/lib32/libcrypto.so.1.0.0 (0xf5d1d000)
	libXau.so.6 => /usr/lib32/libXau.so.6 (0xf5d19000)
	libXdmcp.so.6 => /usr/lib32/libXdmcp.so.6 (0xf5d11000)
	libpcre.so.1 => /usr/lib32/libpcre.so.1 (0xf5cad000)
	libbz2.so.1.0 => /usr/lib32/libbz2.so.1.0 (0xf5c9d000)
	libgthread-2.0.so.0 => /usr/lib32/libgthread-2.0.so.0 (0xf5c9a000)
	libffi.so.6 => /usr/lib32/libffi.so.6 (0xf5c93000)
	libuuid.so.1 => /usr/lib32/libuuid.so.1 (0xf5c8c000)
	libexpat.so.1 => /usr/lib32/libexpat.so.1 (0xf5c63000)

And after upgrading...

#ldd /usr/lib32/skype/skype 
	linux-gate.so.1 (0xf77bf000)
	libasound.so.2 => /usr/lib32/libasound.so.2 (0xf7696000)
	libXv.so.1 => /usr/lib32/libXv.so.1 (0xf7690000)
	libXss.so.1 => /usr/lib32/libXss.so.1 (0xf768c000)
	librt.so.1 => /usr/lib32/librt.so.1 (0xf7683000)
	libdl.so.2 => /usr/lib32/libdl.so.2 (0xf767d000)
	libX11.so.6 => /usr/lib32/libX11.so.6 (0xf7546000)
	libXext.so.6 => /usr/lib32/libXext.so.6 (0xf7534000)
	libQtDBus.so.4 => /usr/lib32/libQtDBus.so.4 (0xf74b5000)
	libQtWebKit.so.4 => not found
	libQtXml.so.4 => /usr/lib32/libQtXml.so.4 (0xf7473000)
	libQtGui.so.4 => /usr/lib32/libQtGui.so.4 (0xf69b6000)
	libQtNetwork.so.4 => /usr/lib32/libQtNetwork.so.4 (0xf687b000)
	libQtCore.so.4 => /usr/lib32/libQtCore.so.4 (0xf659b000)
	libpthread.so.0 => /usr/lib32/libpthread.so.0 (0xf6580000)
	libstdc++.so.6 => /usr/lib32/libstdc++.so.6 (0xf6496000)
	libm.so.6 => /usr/lib32/libm.so.6 (0xf6457000)
	libgcc_s.so.1 => /usr/lib32/libgcc_s.so.1 (0xf643c000)
	libc.so.6 => /usr/lib32/libc.so.6 (0xf6292000)
	/lib/ld-linux.so.2 (0xf77c0000)
	libxcb.so.1 => /usr/lib32/libxcb.so.1 (0xf6270000)
	libdbus-1.so.3 => /usr/lib32/libdbus-1.so.3 (0xf6224000)
	libglib-2.0.so.0 => /usr/lib32/libglib-2.0.so.0 (0xf6129000)
	libpng15.so.15 => /usr/lib32/libpng15.so.15 (0xf60f9000)
	libz.so.1 => /usr/lib32/libz.so.1 (0xf60e2000)
	libfreetype.so.6 => /usr/lib32/libfreetype.so.6 (0xf6046000)
	libgobject-2.0.so.0 => /usr/lib32/libgobject-2.0.so.0 (0xf5ff6000)
	libSM.so.6 => /usr/lib32/libSM.so.6 (0xf5fed000)
	libICE.so.6 => /usr/lib32/libICE.so.6 (0xf5fd3000)
	libXrender.so.1 => /usr/lib32/libXrender.so.1 (0xf5fc9000)
	libfontconfig.so.1 => /usr/lib32/libfontconfig.so.1 (0xf5f91000)
	libssl.so.1.0.0 => /usr/lib32/libssl.so.1.0.0 (0xf5f2d000)
	libcrypto.so.1.0.0 => /usr/lib32/libcrypto.so.1.0.0 (0xf5d67000)
	libXau.so.6 => /usr/lib32/libXau.so.6 (0xf5d63000)
	libXdmcp.so.6 => /usr/lib32/libXdmcp.so.6 (0xf5d5c000)
	libpcre.so.1 => /usr/lib32/libpcre.so.1 (0xf5cf8000)
	libbz2.so.1.0 => /usr/lib32/libbz2.so.1.0 (0xf5ce7000)
	libgthread-2.0.so.0 => /usr/lib32/libgthread-2.0.so.0 (0xf5ce4000)
	libffi.so.6 => /usr/lib32/libffi.so.6 (0xf5cdd000)
	libuuid.so.1 => /usr/lib32/libuuid.so.1 (0xf5cd7000)
	libexpat.so.1 => /usr/lib32/libexpat.so.1 (0xf5cae000)

I see exists a 64 bit version of that package...

#locate libQtWebKit.so.4
/usr/lib/libQtWebKit.so.4
/usr/lib/libQtWebKit.so.4.9
/usr/lib/libQtWebKit.so.4.9.2

Is there any version of libQtWebKit for 32 bits?

Thanks

BR

Offline

#5 2012-11-14 18:03:25

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 445

Re: [solved] skype 4.1 not running on 64bit

there is lib32-qtwebkit in AUR

Offline

#6 2012-11-14 18:42:53

koyote
Member
From: spain
Registered: 2012-10-10
Posts: 24

Re: [solved] skype 4.1 not running on 64bit

Same problem here, and install (compile) lib32-qtwebkit requires to compile many lib32-* in AUR too. sad


Powered by: ArchLinux x86_64 + Plasma

Offline

#7 2012-11-14 18:46:27

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 445

Re: [solved] skype 4.1 not running on 64bit

koyote wrote:

Same problem here, and install (compile) lib32-qtwebkit requires to compile many lib32-* in AUR too. sad

yea man

I even tried it, but not all packages compile

Offline

#8 2012-11-14 19:19:24

cultura82
Member
From: Italy
Registered: 2011-08-02
Posts: 5

Re: [solved] skype 4.1 not running on 64bit

capoeira wrote:
koyote wrote:

Same problem here, and install (compile) lib32-qtwebkit requires to compile many lib32-* in AUR too. sad

yea man

I even tried it, but not all packages compile

Same here, arch64 of course.

It's already on Bugs and assigned smile
https://bugs.archlinux.org/task/32653


Whoever fears death dies everyday; who doesn't, dies only once.
KDE lover since Gnome:3

Offline

#9 2012-11-14 19:24:48

Tomas
Member
Registered: 2012-09-17
Posts: 5

Re: [solved] skype 4.1 not running on 64bit

Same here - is there a way to revert to the previous version?

Offline

#10 2012-11-14 19:27:53

phil
Member
Registered: 2012-09-22
Posts: 72

Re: [solved] skype 4.1 not running on 64bit

NO!!!

Just kidding. There is a webpage: http://arm.konnichi.com/ where you have to look for the previous package: arm.konnichi.com/multilib/os/x86_64/skype-4.0.0.8-3-x86_64.pkg.tar.xz

Download and install via pacman -U package.

Offline

#11 2012-11-14 19:28:19

koyote
Member
From: spain
Registered: 2012-10-10
Posts: 24

Re: [solved] skype 4.1 not running on 64bit

Tomas wrote:

Same here - is there a way to revert to the previous version?

Yes, pacman -U /yourpacmancachedir/pacman/pkg/skype-old-version.pkg.tar.xz

By default /var/cache


Powered by: ArchLinux x86_64 + Plasma

Offline

#12 2012-11-14 19:30:08

Tomas
Member
Registered: 2012-09-17
Posts: 5

Re: [solved] skype 4.1 not running on 64bit

If I had only not cleaned that area recently.. Anyway, thanks a lot - will try to google for previous version.

Offline

#13 2012-11-14 19:33:12

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 445

Re: [solved] skype 4.1 not running on 64bit

cultura82 wrote:
capoeira wrote:
koyote wrote:

Same problem here, and install (compile) lib32-qtwebkit requires to compile many lib32-* in AUR too. sad

yea man

I even tried it, but not all packages compile

Same here, arch64 of course.

It's already on Bugs and assigned smile
https://bugs.archlinux.org/task/32653

voted

Offline

#14 2012-11-14 19:33:31

phil
Member
Registered: 2012-09-22
Posts: 72

Re: [solved] skype 4.1 not running on 64bit

Look @ my post?!?

Offline

#15 2012-11-14 19:38:03

10PinkPanther
Member
From: Croatia
Registered: 2012-11-10
Posts: 333

Re: [solved] skype 4.1 not running on 64bit

Thanks a lot Phil.Now I have older version working.

Offline

#16 2012-11-14 19:39:32

marijus
Member
Registered: 2012-03-12
Posts: 20

Re: [solved] skype 4.1 not running on 64bit

for me just installing qtwebkit from extra repo solved the problem...

# pacman -S qtwebkit

Offline

#17 2012-11-14 19:41:19

phil
Member
Registered: 2012-09-22
Posts: 72

Re: [solved] skype 4.1 not running on 64bit

strange...i did that and it did not help.

Offline

#18 2012-11-14 19:41:50

Tomas
Member
Registered: 2012-09-17
Posts: 5

Re: [solved] skype 4.1 not running on 64bit

No help at all.

Offline

#19 2012-11-14 19:42:26

lybin
Member
From: Russia / Siberia
Registered: 2012-09-27
Posts: 16

Re: [solved] skype 4.1 not running on 64bit

Maintainers FluxBB bbcode test

Offline

#20 2012-11-14 19:43:13

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 445

Re: [solved] skype 4.1 not running on 64bit

marijus wrote:

for me just installing qtwebkit from extra repo solved the problem...

# pacman -S qtwebkit

you're on 32bit?

Offline

#21 2012-11-14 19:43:20

koyote
Member
From: spain
Registered: 2012-10-10
Posts: 24

Re: [solved] skype 4.1 not running on 64bit

marijus wrote:

for me just installing qtwebkit from extra repo solved the problem...

# pacman -S qtwebkit

$ yaourt -Ss qtwebkit
extra/qtwebkit 2.2.2-1 [installed]
    An open source web browser engine (Qt port)
$ skype 
/usr/lib32/skype/skype: error while loading shared libraries: libQtWebKit.so.4: cannot open shared object file: No such file or directory

doesn't work on 64 bits systems, only on 32 bits.


Powered by: ArchLinux x86_64 + Plasma

Offline

#22 2012-11-14 19:44:57

lybin
Member
From: Russia / Siberia
Registered: 2012-09-27
Posts: 16

Re: [solved] skype 4.1 not running on 64bit

capoeira wrote:
marijus wrote:

for me just installing qtwebkit from extra repo solved the problem...

# pacman -S qtwebkit

you're on 32bit?

likely

Offline

#23 2012-11-14 20:00:19

k2s
Member
Registered: 2012-03-24
Posts: 9

Re: [solved] skype 4.1 not running on 64bit

On 64bit you need:

yaourt -S lib32-qtwebkit

Make sure you edit the outdated PKGBUILD based on comments here https://aur.archlinux.org/packages.php?ID=56971.

You need a lot of time and patience to compile all the libraries, but for me it works now.

Last edited by k2s (2012-11-14 20:19:45)

Offline

#24 2012-11-14 20:06:42

zozo
Member
From: Belgium
Registered: 2012-11-14
Posts: 3

Re: [solved] skype 4.1 not running on 64bit

koyote wrote:

Same problem here, and install (compile) lib32-qtwebkit requires to compile many lib32-* in AUR too. sad

True, I had to install 25 packages from AUR and 6 from repos, but it works in the end.

capoeira wrote:

I even tried it, but not all packages compile

Can you be more specific? The lib32-qtwebkit package itself is outdated but if you modify the PKGBUILD as recommended in the comments, it should work.

k2s wrote:

You need a lot of time and patience to compile all the libraries, but for me it works now.

Skype now works for me too.

Offline

#25 2012-11-14 20:11:35

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 445

Re: [solved] skype 4.1 not running on 64bit

zozo wrote:
koyote wrote:

Same problem here, and install (compile) lib32-qtwebkit requires to compile many lib32-* in AUR too. sad

True, I had to install 25 packages from AUR and 6 from repos, but it works in the end.

capoeira wrote:

I even tried it, but not all packages compile

Can you be more specific? The lib32-qtwebkit package itself is outdated but if you modify the PKGBUILD as recommended in the comments, it should work.

k2s wrote:

You need a lot of time and patience to compile all the libraries, but for me it works now.

Skype now works for me too.


thanks but 25 packages from AUR? I prefer to wait until tomorrow, should be in multilib, soon

Offline

Board footer

Powered by FluxBB